
QGIS Application - Bug report #10080

Model does not show up in toolbox due to erroneous "Error in algorithm name"
Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 18548

Description

I'm not sure why this happens or how to even replicate this.  I have tried with the same models on different computers and the error is the

same.

A number of models in a model chain all work currently and show up in the processing toolbox.  However one model which references all

the model does not show up in the toolbox because of an error.

Could not load model alptruth_final.model

Error in algorithm name: modeler:terraintraps

However the terraintraps.model model works fine and the alptruth_final.model itself can be opened up manually in the graphical modeler

and runs successfully.  It will just not show up in the toolbox.  Changing the names of the models does not remove the error, nor does

making a new model with similar algorithms and a different name and using that.

Can provide data set and models if needed.

History

#1 - 2014-04-16 06:10 PM - Thomas Horner

The processing chain inside modeler:terraintraps is

modeler:denseforest -> gdalogr:roughness -> grass:r.mapcalculator

which runs perfectly fine.

#2 - 2014-04-26 08:26 AM - Thomas Horner

This is getting ridiculous.

I cannot add any models.  I cannot reference any models.  Every model that I add that references any other model has a high chance of returning this error,

no matter what the model names or file names are.  Again, this has now made the graphical modeler almost entirely unusable.  Yet everything works

perfectly fine by itself.  I have no idea why some models refuse to show up and return this error while others work fine.

#3 - 2014-05-05 02:14 PM - Thomas Horner
It looks like this has something to do with the number of model hierarchies in each algorithm.  For instance all of the ones failing to show up in the tool box

have other SEXTANTE models inside of their model chain...  and these SEXTANTE models have more SEXTANTE models inside the model chain. 

Models that only have one SEXTANTE model inside (that has no SEXTANTE models itself) show up in the toolbox okay.

#4 - 2014-05-05 02:20 PM - Victor Olaya

- Status changed from Open to Feedback

The modeler only support one level of nesting. A model with a model that itself contain another model will not work. That's a limitation of the modeler.

I will write it in the documentation, so it is documented.

Thanks for your help!

#5 - 2014-05-05 11:04 PM - Thomas Horner

Okay.  Will have to do a minor model redesign then.  A note in the documentary would be great.  Thank you.

#6 - 2014-10-04 12:08 PM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (63)

#7 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#8 - 2015-05-22 09:58 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
